{"title":"Get attachments (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_attachment_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets an attachments object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get attachments (v1.0)","slug":"get-attachments-v10","at":0,"chars":2148},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":114,"chars":370},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":484,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":563,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":632,"chars":131},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":763,"chars":1131},{"level":2,"title":"Related information","slug":"related-information","at":1894,"chars":254}],"text":"# Get attachments (v1.0)\nRetrieve the properties and relationships of an attachments object for Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/attachments$filter=parentId eq {journalLineId}\n```\n> NOTE\n> Please note the $filter applied to attachment API. The filter is applied to get attachments for a specific entity.\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and an attachments object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/attachments$filter=parentId eq {journalLineId}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"parentId\": \"8bdf7f18-ac81-4cf6-a018-7dd2313d827f\",\n    \"id\": \"7786c70a-31ee-43a3-9746-2d720496469e\",\n    \"fileName\": \"someFileName.pdf\",\n    \"byteSize\": 597568,\n    \"content@odata.mediaEditLink\": \"https://{businesscentralPrefix}/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content\",\n    \"content@odata.mediaReadLink\": \"https://{businesscentralPrefix}/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content\",\n    \"lastModifiedDateTime\": \"2019-03-25T13:15:41Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_attachment\ndynamics_attachment_get\ndynamics_attachment_create\nUpload Attachment<dynamics_attachment_patch>\ndynamics_attachment_delete"}